Package org.eclipse.m2m.atl.emftvm.launcher.profiler

## Class ProfilingLaunchAdapter

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.launcher.LaunchAdapter
  - - org.eclipse.m2m.atl.emftvm.launcher.profiler.ProfilingLaunchAdapter

All Implemented Interfaces:
  `VMMonitor`

    public class ProfilingLaunchAdapter
    extends LaunchAdapter

Profiling `LaunchAdapter` for EMFTVM.

### Constructor Summary

Constructors
`ProfilingLaunchAdapter​(org.eclipse.debug.core.ILaunch launch)` Creates a new `ProfilingLaunchAdapter`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enter​(StackFrame frame)` Enters the stack frame.
`Profiler` `getProfiler()` Returns the embedded profiler.
`void` `leave​(StackFrame frame)` Leaves the stack frame.
`void` `terminated()` Invoked when execution is terminated.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.launcher.LaunchAdapter

`error, getLaunch, isTerminated, setTerminated, step`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfilingLaunchAdapter

    public ProfilingLaunchAdapter​(org.eclipse.debug.core.ILaunch launch)

Creates a new `ProfilingLaunchAdapter`.

Parameters:
  `launch` - the launch object to wrap

### Method Detail

#### enter

    public void enter​(StackFrame frame)

Enters the stack frame.

Specified by:
  `enter` in interface `VMMonitor`
Overrides:
  `enter` in class `LaunchAdapter`
Parameters:
  `frame` - the frame to enter in
See Also:
  `VMMonitor.enter(org.eclipse.m2m.atl.emftvm.util.StackFrame)`

#### leave

    public void leave​(StackFrame frame)

Leaves the stack frame.

Specified by:
  `leave` in interface `VMMonitor`
Overrides:
  `leave` in class `LaunchAdapter`
Parameters:
  `frame` - the frame to leave
See Also:
  `VMMonitor.leave(org.eclipse.m2m.atl.emftvm.util.StackFrame)`

#### terminated

    public void terminated()

Invoked when execution is terminated.

Specified by:
  `terminated` in interface `VMMonitor`
Overrides:
  `terminated` in class `LaunchAdapter`
See Also:
  `VMMonitor.terminated()`

#### getProfiler

    public Profiler getProfiler()

Returns the embedded profiler.

Returns:
  the profiler